I tried to create a yocoto development environment for i.MX6 and i.MX8, but I have trouble.

cancel
Showing results for 
Search instead for 
Did you mean: 

I tried to create a yocoto development environment for i.MX6 and i.MX8, but I have trouble.

Jump to solution
1,143 Views
Contributor II

Dear All,

I tried to create a  yocoto development environment for i.MX6 and i.MX8. The Ubuntu revision is 16.04 LTS, and I follow up  i.MX Yocto Project User's Guide (Rev.L4.14.98-2.0.0_ga, 04/209)

However, the 1st bitbake got wrong, Parsing recipes always appear 99% over 1 day. 

pastedImage_2.png

The 2nd build, there are 5 WARNING and 1 ERROR messages and bitbake process was be interrupted. 

pastedImage_5.png

pastedImage_6.png

pastedImage_7.png

Can anyone give me advice? please refer to attached files that you can go over the history.

Labels (3)
Tags (2)
1 Solution
157 Views
Senior Contributor I

Hi Anderson Hu,

Try to execute this command and build again:

$ sudo pip3 install typing

If you haven't installed it yet, let install it.

Best regards,

Toan

View solution in original post

17 Replies
157 Views
Contributor IV

In your second run, you got a memory allocation error [Errno 12] Cannot allocate memory. If you are on a virtual machine, try increasing the amount of RAM allocated to it or increase the swap size. Also if you have any running applications that consume too much RAM, try shutting them down.

157 Views
Contributor II

Hi turker@dtsis.com,

Yes, I use vmware, and I try to shut down and re-allocate to 8GB RAM, but bitbake problem still exists, but different error and wrong messages.

Anderson Hu

0 Kudos
157 Views
NXP TechSupport
NXP TechSupport

I just created a post for this topic. Hope this can help.

https://community.nxp.com/docs/DOC-343758 

157 Views
Senior Contributor II

Hi Dao Van Toan,

We have followed the same steps as given by the Anderson Hu  and we are able to build successfully with same distro using ubuntu 16.04.

The steps which we have followed are:

   $DISTRO=fsl-imx-wayland MACHINE=imx6qsabresd EULA=1 source fsl-setup-release.sh -b build

   $bitbake fsl-image-validation-imx

Regards,

Radhika Somaiya.

157 Views
Senior Contributor I

Hi @Anderson Hu ,

If this is first time you build distro, I recommend that you execute all commands below:

  1. $ sudo apt-get install gawk wget git-core diffstat unzip texinfo gcc-multilib build-essential chrpath  socat  libsdl1.2-dev
  2. $ sudo apt-get install libsdl1.2-dev xterm  sed cvs subversion coreutils texi2html docbook-utils python-pysqlite2 help2man make gcc g++ desktop-file-utils libgl1-mesa-dev libglu1-mesa-dev mercurial autoconf automake groff curl lzop asciidoc
  3. $ sudo apt-get install u-boot-tools
  4. $ mkdir ~/bin (this step may not be needed if the bin folder already exists)
  5. $ curl http://commondatastorage.googleapis.com/git-repo-downloads/repo  > ~/bin/repo
  6. $ chmod a+x ~/bin/repo
  7. $ export PATH=~/bin:$PATH
  8. $ git config --global user.name "Your Name"
  9. $ git config --global user.email "Your Email"
  10. $ git config --list
  11. $ mkdir fsl-release-bsp
  12. $ cd fsl-release-bsp
  13. $ repo init -u https://source.codeaurora.org/external/imx/imx-manifest -b imx-linux-sumo -m imx-4.14.98-2.0.0_ga.xml
  14. $ repo sync
  15. $ DISTRO=fsl-imx-x11 MACHINE=imx6ulevk source fsl-setup-release.sh -b build-x11
  16. $ bitbake fsl-image-gui

But as I can see, you are using Unbutu 16.04 and It's not compatible with build distro <as my experiment>. Something You will get some errors and I dont hard to fix it but It's take time. So I recommend you use unbutu 14.04, It is more compatible with this thing. Good luck.

Best regards,

Toan

157 Views
Contributor II

Hi Radhika Somaiya and Dao Van Toan , 

I found some information form Yocto Project Reference Manual , you can refer to this web side and the section 1.1. 

pastedImage_3.png

The Ubuntu 16.4 and Ubuntu 14.4 in supported list. Besides, according to i.MX Yocto Project User's Guide (Rev.L4.14.98-2.0.0_ga, 04/209), the recommended minumum Ubuntu version is 16.04 or later. 

pastedImage_5.png

In fact, I have re-install Ubuntu 14.04 on vmware workstation, RAM allocation is 8GB, I tried to follow up Dao Van Toan's procedure, but bitbake problem still exists,  but the error message is different.

0 Kudos
157 Views
Senior Contributor I

Hi @Anderson Hu,

May you post this error on here? So We can easily analyze and solve it.

And I not ensure that VMware environment will working properly. So I recommend you install dual boot, you also not lag when experience.

Additional info, I build about 10 distros in my computer with no error. It's worth to try, right.

Update: Do you change MACHINE variable in step 15 into your machine. 

0 Kudos
157 Views
Contributor II

Hi @Dao Van Toan,

I re-install a clean Ubuntu 14.04 LTS 64bit in VMware and than setup build tools again, I post error message and

 log file of failure stored as below. 

The Machine variable is imx6qsabresd, I will change Machine variable next step.

pastedImage_1.png

    

pastedImage_2.png

0 Kudos
157 Views
Contributor IV

You are missing python3 typing library according to the error log. Run these commands to install it:

sudo apt-get install python3-pip

sudo pip3 install typing

158 Views
Senior Contributor I

Hi Anderson Hu,

Try to execute this command and build again:

$ sudo pip3 install typing

If you haven't installed it yet, let install it.

Best regards,

Toan

View solution in original post

157 Views
Contributor II

Hi toanjunifer@gmail.com‌ and @Tahsin Türker Mutlugün,

Because python 2.7.6 was installed, should I switch python 3 environment by default when I install python 3?

Anderson

157 Views
Senior Contributor I

Hi anderson_hu0127‌,

This is a exciting question. Actually, You only need to install it. Don't need to set is as default.

Again, I recommend you install Ubuntu parallel with Windows.

Best regards,

Toan

157 Views
Contributor II

Hi @Dao Van Toan and @Tahsin Türker Mutlugün,

Thanks for your comments, the build is succeed when installed python3 typing library.  Although there are still some warning messages, it has at least succeeded.

Best regards

Anderson

pastedImage_3.png

157 Views
Senior Contributor I

Congratulations, anderson_hu0127 !!!

Best regards,

      Toan

0 Kudos
157 Views
Senior Contributor II

Hi Anderson Hu,

For 1st build: We are able to build for imx6qsabresd (Yocto version 4.14.98_2.0.0). Can you please try to fresh build?

For 2nd build: reason may be insufficient computer memory, free space from your host pc.

Regards,

Radhika Somaiya.

157 Views
NXP TechSupport
NXP TechSupport

I tried this without problem.

1. $ mkdir imx-yocto-bsp
2. $ cd imx-yocto-bsp
3. $ repo init -u https://source.codeaurora.org/external/imx/imx-manifest -b imx-linux-sumo -m imx-4.14.98-2.0.0_ga.xml
4. $ repo sync

5. $ DISTRO=fsl-imx-x11 MACHINE=imx6qsabresd source fsl-setup-release.sh -b build-x11

6. $ bitbake fsl-image-validation-imx

157 Views
Contributor II

Hi Jimmy,

sorry, I tried to re-try your procedure, but I still got the same error and wrong messages, maybe this is my host packages issue.

Anderson

0 Kudos